Subject: Re: linux-next: Tree for June 8 (docbook/media)

From: Randy Dunlap <[email-masked]>
Date: Thu, 09 Jun 2011 13:32:17 -0700

On 06/09/11 12:43, Mauro Carvalho Chehab wrote:
> Em 09-06-2011 16:25, Mauro Carvalho Chehab escreveu:
>> Em 08-06-2011 16:52, Randy Dunlap escreveu:
>>> The DocBook/media/Makefile seems to be causing too much noise:
>>>
>>> ls: cannot access linux-next-20110608/Documentation/DocBook/media/*/*.gif: No such file or directory
>>> ls: cannot access linux-next-20110608/Documentation/DocBook/media/*/*.png: No such file or directory
>>>
>>> Maybe the cleanmediadocs target could be made silent?
>>
>> I'll take a look on it. 
>>
>> FYI, The next build will probably be noisier, as it is now pointing to some 
>> documentation gaps at the DVB API. Those gaps should take a longer time to fix, 
>> as we need to discuss upstream about what should be done with those API's,
>> that seems to be abandoned upstream (only one legacy DVB driver uses them).
>> However, I was told that some out-of-tree drivers and some drivers under development
>> are using them.
>>
>> So, I intend to wait until the next merge window before either dropping those 
>> legacy API specs (or moving them to a deprecated section) or to merge those
>> out-of-tree drivers, with the proper documentation updates.
>>
>>> also, where is the mediaindexdocs target defined?
>>
>> Thanks for noticing it. We don't need this target anymore. I'll write a patch
>> removing it.
> 
> This patch should remove the undesired noise.

Doesn't work for me.  Did you test it?

Even this does not silence the noise for me:

cleanmediadocs:
	-@rm `find $(MEDIA_OBJ_DIR) -type l` $(GENFILES) $(IMGFILES) >/dev/null 2>&1

> 
> commit 75125b9d44456e0cf2d1fbb72ae33c13415299d1
> Author: Mauro Carvalho Chehab <[email-masked]>
> Date:   Thu Jun 9 16:34:29 2011 -0300
> 
>     [media] DocBook: Don't be noisy at make cleanmediadocs
>     
>     While here, remove the mediaindexdocs from PHONY.
>     
>     Reported-by: Randy Dunlap <[email-masked]>
>     Signed-off-by: Mauro Carvalho Chehab <[email-masked]>
> 
> diff --git a/Documentation/DocBook/media/Makefile b/Documentation/DocBook/media/Makefile
> index 1e909c2..b7627e1 100644
> --- a/Documentation/DocBook/media/Makefile
> +++ b/Documentation/DocBook/media/Makefile
> @@ -21,10 +21,10 @@ MEDIA_TEMP =  media-entities.tmpl \
>  IMGFILES := $(addprefix $(MEDIA_OBJ_DIR)/media/, $(notdir $(shell ls $(MEDIA_SRC_DIR)/*/*.gif $(MEDIA_SRC_DIR)/*/*.png)))
>  GENFILES := $(addprefix $(MEDIA_OBJ_DIR)/, $(MEDIA_TEMP))
>  
> -PHONY += cleanmediadocs mediaindexdocs
> +PHONY += cleanmediadocs
>  
>  cleanmediadocs:
> -	-@rm `find $(MEDIA_OBJ_DIR) -type l` $(GENFILES) $(IMGFILES)
> +	-@rm `find $(MEDIA_OBJ_DIR) -type l` $(GENFILES) $(IMGFILES) 2>/dev/null
>  
>  $(obj)/media_api.xml: $(GENFILES) FORCE
>  

-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***